;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; pots/pots.tf ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;    Trigger for Abelinc's POTS Scripts for Aardwolf's Tinyfugue users    ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  03/06/2008  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

/loaded pots/pots.tf
/require variables.tf
/require edit_variable.tf

;;;
;;; status bar setup
;;;

/if ($(/ver)=~"4.0 stable 1") \
	/echo -aCblue Setting up status bar for tinyfugue 4.0s1 %; \
	/set POTS=heal %; \
	/set MANA=mana %; \
	/set MOVE=move %; \
	/set WEB=web %; \
	/set status_fields=@more:8:br :1 @world :6 heal_pots:2 :1 POTS:4 :8 mana_pots:2 :1 MANA:4 :6 move_pots:2 :1 MOVE:4 :6 web_pots:2 :1 WEB:3 :6 @clock:5 %; \
/elseif ($(/ver)=/"5.0 beta ?") \
	/echo -aCblue Setting up status bar for tinyfugue 5.0 beta %; \
	/status_rm @read %; \
	/status_rm @active %; \
	/status_rm @log %; \
	/status_rm @mail %; \
	/status_rm insert %; \
	/status_rm kbnum %; \
	/status_add -A@world -s6 heal_pots:2 %; \
	/status_add -Aheal_pots -s8 mana_pots:2 %; \
	/status_add -Aheal_pots -s1 "POTS" %; \
	/status_add -Amana_pots -s6 move_pots:2 %; \
	/status_add -Amana_pots -s1 "MANA" %; \
	/status_add -Amove_pots -s6 web_pots:2 %; \
	/status_add -Amove_pots -s1 "MOVE" %; \
	/status_add -B@clock -s6 "WEB" %; \
/else /echo -aCred We were unable to determine what version of Tinyfugue you are using. %; \
	/echo -aCred This is necessary to set up the status bar for the POTS script. Please %; \
	/echo -aCred contact abelinc via tells or personal note on Aardwolf or email mikeride@mac.com %; \
/endif

;;;
;;; initialize the pots triggers
;;;

/load -q pots/trig.tf

;;;
;;; POTS Macros
;;;

;/def heal20 = /eval g Scathach $[pots_bag_short] %; recite Scathach
;;; Proclamation of Scathach, 3 shots of lev20 cure serious, cost 320
/def heal30 = /eval g dictionary $[pots_bag_short] %; quaff dictionary
;;; Dictionary, 3 shots of lev30 cure serious, cost 360, seekers
/def heal40 = /eval g melody $[pots_bag_short] %; quaff melody
;;; Soothing Melody, 4 shots of lev40 cure critical, cost 640, bard
/def healexpens60 = /eval g ballad $[pots_bag_short] %; quaff ballad
;;; Healer's Ballad, 4 shots of lev60 heal, cost 960, bard
/def healcheap60 = /eval g Earthworm $[pots_bag_short] %; quaff Earthworm
;;; Elixer of a Prehistoric Earthworm, 3 shots of lev60 heal, cost 360, goblin
/def heal60 = \
	/if (cheap_heal=~"Y") /healcheap60 %; \
	/else /healexpens60 %; \
	/endif
/def mana20 = /eval g nachos $[pots_bag_short] %; eat nachos
;;; Cheesy Nachos, recharges 160 mana, costs 320, bard shop
;/def mana30 = /eval g celes $[pots_bag_short] %; quaff celes
;;; Celestial Beads, recharges 240 mana, cost 480, crusader shop, ANTI-EVIL!!!
/def mana30 = /eval g study $[pots_bag_short] %; quaff study
;;; a Study Aid, seeker's shop. It gives less mana than Celestial, but
;;; is not anti-evil
/def mana40 = /eval g meditation $[pots_bag_short] %; quaff meditation
;;; Meditation, recharges recharges 320 mana, costs 640, tao shop
/def mana60 = /eval g tea $[pots_bag_short] %; quaff tea
;;; Green Herbal Tea, recharges 480 mana, cost 960, dominion shop

;;; NOTE!!!! There is a healing potion at level 60 that costs TONS less per
;;; amount of healing. It is not included here as a standard potion because
;;; it is purchased from porphor in Goblin Fortress, and you can't have a
;;; speedwalk there as it has random exits. Standard heal, 4x heal at 960 gold
;;; The one from porphor costs 360 and is a 3x, so it's 3/4 the healing at
;;; a bit more than 1/3 the price.
;;;
;;; If you wish to use this cheaper POT, then set the "cheap_heal" variable
;;; You can toggle this setting by typing "/cheap-heal" (note that the 
;;; variable uses underscore while the command uses hyphen).

/def bothmana80 = /eval g brew $[pots_bag_short] %; quaff brew
;;; Granny's Special Brew, recharges 480 mana, plus a heal, cost 1600
;;; Granny Josephine in Diatz
/def justmana80 = /eval g trandorfir $[pots_bag_short] %; quaff trandorfir
;;; Trandorfir Pani ---'---,{@ from Romani...costs 960, recharges 480 mana

/def mana80 = \
	/if (just_mana=~"Y") /justmana80 %; \
	/else /bothmana80 %; \
	/endif

;;; NOTE!!! Similar to level 60 heal pots, you have a decision to make 
;;; regarding level 80 mana potions. Above is Granny's Special Brew from
;;; Diatz...below is xxx from Romani clanhall. Granny's Brew is 3x mana 
;;; and 1x heal, so if you're fighting MOBs that don't require much in
;;; the way of healing, it's a good all-purpose potion. Romani's is just
;;; 4x mana, so it gives more mana (at the usual mana pot price of 
;;; cost=2xmana-restored). To use this option, set the "just_mana"
;;; variable by typing "/just-mana".

/def mana100 = /eval g energy $[pots_bag_short] %; quaff energy
;;; Taboo's Energy Bar, recharges 800 mana, cost 1600, dominion shop
/def mana120 = /eval g squishie $[pots_bag_short] %; quaff squishie
;;; Apple Squishie, recharges 960 mana, cost 1920, light shop
/def mana130 = /eval g butter $[pots_bag_short] %; eat butter
;;; Buttery Popcorn, recharges 1040 mana, cost 2080, peto, bard
/def mana150 = /eval g ancestral $[pots_bag_short] %; quaff ancestral
;;; Ancestral Power, recharges 1200 mana, cost 2400, dominion shop
/def mana180 = /eval g prosp $[pots_bag_short] %; quaff prosp
;;; Prosperity, recharges 1440 mana, cost 2880, 2s7w2s from recall
/def mana201 = /eval g moonlight $[pots_bag_short] %; quaff moonlight
;;; Moonlight Wine, recharges 1608 mana, cost 3216, Dominion
/def move = /eval g travel $[pots_bag_short] %; quaff travel
;;; Song of the Traveller, 4x refresh, level 100
;/def getheal20 = /druidbuy %; b 10 Scathach %; /eval put all.scath $[pots_bag_short] %; b 10 Scathac %; put all.scath $[pots_bag_short] %; b 10 Scathach %; put all.scath $[pots_bag_short] %; b 5 Scathach %; put all.scath $[pots_bag_short]
/def getheal30 = /seekbuy %; b 10 dictionary %; put all.dict $[pots_bag_short]
/def getheal40 = /bardbuy %; b 10 melody %; put all.flask $[pots_bag_short]
/def gethealexpens60 = /bardbuy %; b 10 heal %; put all.pot $[pots_bag_short]
/def gethealcheap60 = /goblin %; run 5n %; ; now you must find porphos to buy the pots
/def getheal60 = \
	/if (cheap_heal=~"Y") /gethealcheap60 %; \
	/else /gethealexpens60 %; \
	/endif
/def getmana20 = /bardbuy %; b 5 nachos %; put all.nachos $[pots_bag_short]
;/def getmana30 = /crusbuy %; b 5 celest %; /eval put all.pot $[pots_bag_short] %; b 5 celes %; put all.pot $[pots_bag_short] %; b 5 celes %; put all.pot $[pots_bag_short]
/def getmana30 = /seekbuy %; b 5 study %; /eval put all.study $[pots_bag_short]
/def getmana40 = /taobuy %; b 5 meditat %; /eval put all.meditat $[pots_bag_short]
/def getmana60 = /dombuy %; b 5 tea %; /eval put all.tea $[pots_bag_short]
/def getbothmana80 = /diatz %; run 2n %; b 5 brew %; /eval put all.brew $[pots_bag_short]
/def getjustmana80 = /romanibuy %; b 5 trandorfir %; /eval put all.trandorfir $[pots_bag_short]
/def getmana80 = \
	/if (just_mana=~"Y") /getjustmana80 %; \
	/else /getbothmana80 %; \
	/endif
/def getmana100 = /retribuy %; b 5 energy %; /eval put all.energy $[pots_bag_short]
/def getmana120 = /lightbuy %; b 5 squishie %; /eval put all.squishie $[pots_bag_short]
/def getmana130 = /bardbuy %; b 5 butter %; /eval put all.butter $[pots_bag_short]
/def getmana150 = /dombuy %; b 5 ances %; /eval put all.ances $[pots_bag_short]
/def getmana180 = /tanebuy %; b 5 prosp %; /eval put all.prosp $[pots_bag_short]
/def getmana201 = /dombuy %; b 5 moonlight %; /eval put all.moonlight $[pots_bag_short]
/def getmove = /bardbuy %; b 3 travel %; /eval put all.travel $[pots_bag_short]
/def getpots = /getmana %; /getheal
/def dissolve = g depart sat %; recite depart %; rem 181 %; wear depart %; recite depart
/def getdissolve = /bardbuy %; run u2w %; b 4 depart %; put all.depart sat

;;; Starting Points
;;; NOTE, I personally use /recall to perform a recall. Tinyfugue however 
;;; has a built-in /recall which conflicts. Mine overrides the built-in.
;;; This will render things like esc-up/down keyboard stack inoperable. 
;;; The fix to this is to change your __tf_libdir files from calling 
;;; "/recall" to calling "/@recall".

/def -ag -hredef redef
; /def recall = /wake %; //
/def sleep = camp %; fire %; sleep
/def sl = /sleep
/def wake = st
/def wgate = /recall %; run 2s3w %; op w
/def egate = /recall %; run 2s3e %; op e
; /def home = /recall %; run 2su %; sl leaf %; sl
/def bard = /recall %; w
/def bardbuy = /bard %; run nw
/def crusbuy = /recall %; run sw2sw
/def dombuy = /recall %; run n2w
/def druidbuy = /recall %; run 13s4e5s2un
/def lightbuy = /recall %l run 2s8eswnd
/def retribuy = /recall %; run 2s8wse4n3w2sdw
/def romanibuy = /recall %; run 13s5e2senw
/def seekbuy = /recall %; run 8su
/def tanelorn = /recall %; run 8se
/def tanebuy = /tanelorn %; run nw6uw
/def tao = /recall %; run 2s8eswnu
/def taobuy = /tao %; run 2n

;;; If you have an aard amulet, this would allow you to leave all sw's alone 
;;; wrt starting points at recall. My sw macros are organized with "from-recall"
;;; first, then "from amulet" & finally "with portal". This way the shortest 
;;; should always overwrite the longer, and on remort, commenting out portals 
;;; are all that's necessary (my amulet is lev5)
;;;
; /def recall = /amulet %; d
; /def amulet = /remdual %; wear (157625) %; enter %; rem (157625) %; /weardual
; /def remdual = /wake %; dual remove
;;;
/undef redef

;;;
;;; Use the right pot for the level
;;;

/def heal = \
	/if (effective_level>=30 & my_level<40) /heal30 %; \
	/elseif (effective_level>=40 & my_level<60) /heal40 %; \
	/elseif (effective_level>=60) /heal60 %; \
	/endif

/def getheal = \
	/if (effective_level>=30 & my_level<40) /getheal30 %; \
	/elseif (effective_level>=40 & my_level<60) /getheal40 %; \
	/elseif (effective_level>=60) /getheal60 %; \
	/endif

/def mana = \
	/if (effective_level>=20 & my_level<30) /mana20 %; \
	/elseif (effective_level>=30 & my_level<40) /mana30 %; \
	/elseif (effective_level>=40 & my_level<60) /mana40 %; \
	/elseif (effective_level>=60 & my_level<80) /mana60 %; \
	/elseif (effective_level>=80 & my_level<100) /mana80 %; \
	/elseif (effective_level>=100 & my_level<120) /mana100 %; \
	/elseif (effective_level>=120 & my_level<130) /mana120 %; \
	/elseif (effective_level>=130 & my_level<150) /mana130 %; \
	/elseif (effective_level>=150 & my_level<180) /mana150 %; \
	/elseif (effective_level>=180 & my_level<201) /mana180 %; \
	/elseif (effective_level>=201) /mana201 %; \
	/endif

/def getmana = \
	/if (effective_level>=20 & my_level<30) /getmana20 %; \
	/elseif (effective_level>=30 & my_level<40) /getmana30 %; \
	/elseif (effective_level>=40 & my_level<60) /getmana40 %; \
	/elseif (effective_level>=60 & my_level<80) /getmana60 %; \
	/elseif (effective_level>=80 & my_level<100) /getmana80 %; \
	/elseif (effective_level>=100 & my_level<120) /getmana100 %; \
	/elseif (effective_level>=120 & my_level<130) /getmana120 %; \
	/elseif (effective_level>=130 & my_level<150) /getmana130 %; \
	/elseif (effective_level>=150 & my_level<180) /getmana150 %; \
	/elseif (effective_level>=180 & my_level<201) /getmana180 %; \
	/elseif (effective_level>=201) /getmana201 %; \
	/endif
